# SE7ENSKY CMS PLUGINS

1. [adminElementGroups](#adminelementgroups) – register new element groups in admin
1. [adminHeaderLogo](#adminheaderlogo) – add logo to admin header
1. [adminOnBoarding](#adminonboarding) – remove on boarding info
1. [carouselElement](#carouselelement) - images carousel element
1. [classnameBlock](#classnameblock) - add block with custom className
1. [customImageHoveredElement](#customimagehoveredelement) - add image with hover effect
1. [customVideo](#customvideo) - add video with custom settings
1. [customImageLink](#customimagelink) - add image with link
1. [pagesLists](#pageslists) – add custom pagesList designs
1. [sliderBlock](#sliderblock) – add slider block with custom rows
1. [editorPageSettings](#editorpagesettings) – add new settings group in Editor Page Setting with custom params and fields
1. [tilesBoardBlock](#tilesboardblock) – add tiles board block with custom rows
1. [tickerElement](#tickerelement) - add ticket element with text
1. [customGoogleMap](#customgooglemap) - add google map with settings
1. ...

Just clone this repo into `src/packages/` folder.


## adminElementGroups

**admin:**
```javascript
import adminElementGroups from "se7ensky-plugins/adminElementGroups";

registerPlugins([
    ...adminElementGroups
]);
```


## adminHeaderLogo

**admin:**
```javascript
import adminHeaderLogo from "se7ensky-plugins/adminHeaderLogo";

registerPlugins([
    adminHeaderLogo
]);
```


## adminOnBoarding

**admin:**
```javascript
import adminOnBoarding from "se7ensky-plugins/adminOnBoarding";

registerPlugins([
    adminOnBoarding
]);
```


## carouselElement

**admin:**
```javascript
import carouselElement from "se7ensky-plugins/carouselElement/admin";
import carouselElementRender from "se7ensky-plugins/carouselElement/render";

registerPlugins([
    carouselElement(),
    carouselElementRender()
]);
```

**site:**
```javascript
import carouselElementRender from "se7ensky-plugins/carouselElement/render";

registerPlugins([
    carouselElementRender()
]);
```


## classnameBlock

**admin:**
```javascript
import classnameBlock from "se7ensky-plugins/classnameBlock/admin";
import classnameBlockRender from "se7ensky-plugins/classnameBlock/render";

registerPlugins([
    classnameBlock,
    classnameBlockRender()
]);
```

**site:**
```javascript
import classnameBlockRender from "se7ensky-plugins/classnameBlock/render";

registerPlugins([
    classnameBlockRender()
]);
```


## customImageHoveredElement

**admin:**
```javascript
import customImageHoveredElement from "se7ensky-plugins/customImageHoveredElement/admin";
import customImageHoveredElementRender from "se7ensky-plugins/customImageHoveredElement/render";

registerPlugins([
    customImageHoveredElement(),
    customImageHoveredElementRender()
]);
```

**site:**
```javascript
import customImageHoveredElementRender from "se7ensky-plugins/customImageHoveredElement/render";

registerPlugins([
    customImageHoveredElementRender()
]);
```

## customVideo

**admin:**
```javascript
import customVideo from "se7ensky-plugins/customVideo/admin";
import customVideoRender from "se7ensky-plugins/customVideo/render";

registerPlugins([
    customVideo(),
    customVideoRender()
]);
```

**site:**
```javascript
import customVideoRender from "se7ensky-plugins/customVideo/render";

registerPlugins([
    customVideoRender()
]);
```



## customImageLink

**admin:**
```javascript
import customImageLink from "se7ensky-plugins/customImageLink/admin";
import customImageLinkRender from "se7ensky-plugins/customImageLink/render";

registerPlugins([
    customImageLink(),
    customImageLinkRender()
]);
```

**site:**
```javascript
import customImageLinkRender from "se7ensky-plugins/customImageLink/render";

registerPlugins([
    customImageLinkRender()
]);
```



## pagesLists

**admin:**
```javascript
import pagesLists from "se7ensky-plugins/pagesLists";

registerPlugins([
    ...pagesLists
]);
```

**site:**
```javascript
import pagesLists from "se7ensky-plugins/pagesLists";

registerPlugins([
    ...pagesLists
]);
```



## sliderBlock

**admin:**
```javascript
import sliderBlock from "se7ensky-plugins/sliderBlock/admin";
import sliderBlockRender from "se7ensky-plugins/sliderBlock/render";

registerPlugins([
    sliderBlock,
    sliderBlockRender()
]);
```

**site:**
```javascript
import sliderBlockRender from "se7ensky-plugins/sliderBlock/render";

registerPlugins([
    sliderBlockRender()
]);
```


## tilesBoardBlock

**admin:**
```javascript
import tilesBoardBlock from "se7ensky-plugins/tilesBoardBlock/admin";
import tilesBoardBlockRender from "se7ensky-plugins/tilesBoardBlock/render";

registerPlugins([
    tilesBoardBlock,
    tilesBoardBlockRender()
]);
```

**site:**
```javascript
import tilesBoardBlockRender from "se7ensky-plugins/tilesBoardBlock/render";

registerPlugins([
    tilesBoardBlockRender()
]);
```


## tickerElement

**admin:**
```javascript
import tickerElement from "se7ensky-plugins/tickerElement/admin";
import tickerElementRender from "se7ensky-plugins/tickerElement/render";

registerPlugins([
    tickerElement,
    tickerElementRender()
]);
```

**site:**
```javascript
import tickerElementRender from "se7ensky-plugins/tickerElement/render";

registerPlugins([
    tickerElementRender()
]);
```


## customGoogleMap

**admin:**
```javascript
import customGoogleMap from "se7ensky-plugins/customGoogleMap/admin";
import customGoogleMapRender from "se7ensky-plugins/customGoogleMap/render";

registerPlugins([
    customGoogleMap,
    customGoogleMapRender()
]);
```

**site:**
```javascript
import customGoogleMapRender from "se7ensky-plugins/customGoogleMap/render";

registerPlugins([
    customGoogleMapRender()
]);
```



## editorPageSettings

**admin:**
```javascript
import editorPageSettings from "se7ensky-plugins/editorPageSettings/admin";

registerPlugins([
    ...editorPageSettings
]);
```

**site:**
```javascript
import editorPageSettings from "se7ensky-plugins/src/editorPageSettings/render";

registerPlugins([
    editorPageSettings
]);
```

**api:**
```javascript
import editorPageSettings from "se7ensky-plugins/editorPageSettings/api";

registerPlugins([
    editorPageSettings
]);
```
