"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _lodash = require("lodash");

var _se7enskySimpleSvg = require("../assets/se7ensky-simple-svg.svg");

class Logo extends _react.default.Component {
  constructor(...args) {
    super(...args);
    (0, _defineProperty2.default)(this, "checkDisplayInterval", null);
    (0, _defineProperty2.default)(this, "state", {
      display: "desktop"
    });
  }

  shouldComponentUpdate(props, state) {
    return !(0, _lodash.isEqual)(state, this.state);
  }

  componentDidMount() {
    this.checkDisplayInterval = setInterval(() => {
      this.setState({
        display: window.outerWidth > 768 ? "desktop" : "mobile"
      });
    }, 500);
  }

  componentWillUnmount() {
    clearInterval(this.checkDisplayInterval);
  }

  render() {
    const {
      className,
      altText
    } = this.props;
    let style = {
      width: this.props.width,
      height: this.props.height,
      display: this.props.display,
      marginTop: 12
    };

    if (this.state.display !== "desktop") {
      style.width = this.props.mobileWidth;
      style.height = this.props.mobileHeight;
    }

    return _react.default.createElement(_se7enskySimpleSvg.ReactComponent, {
      className: ["se7ensky-logo", className].join(" "),
      style: style,
      alt: altText
    });
  }

}

(0, _defineProperty2.default)(Logo, "defaultProps", {
  width: 82,
  height: 40,
  mobileWidth: 82,
  mobileHeight: 40,
  altText: "SE7ENSKY",
  className: ""
});
var _default = Logo;
exports.default = _default;
//# sourceMappingURL=Logo.js.map