"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _context = require("webiny-app-cms/context");

var _Carousel = require("webiny-ui/Carousel");

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

const CarouselWrapper = (0, _reactEmotion.default)("div")({
  width: "100%",
  height: "100%",
  maxWidth: "1000px"
});

class Carousel extends React.PureComponent {
  onImageLoad() {
    setTimeout(() => {
      window.dispatchEvent(new Event('resize'));
    }, 0);
  }

  render() {
    const {
      data: {
        images
      }
    } = this.props;
    if (!images) return "You must select images to render your image carousel!";
    return React.createElement(CarouselWrapper, null, React.createElement(_Carousel.Carousel, null, images.map(image => React.createElement("img", {
      src: image.src,
      key: image.name,
      onLoad: this.onImageLoad
    }))));
  }

}

;

var _default = (0, _context.withCms)()(Carousel);

exports.default = _default;
//# sourceMappingURL=Carousel.js.map