"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _Tabs = require("webiny-ui/Tabs");

var _Grid = require("webiny-ui/Grid");

var _Input = require("webiny-ui/Input");

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

var _SingleImageUpload = _interopRequireDefault(require("webiny-admin/components/SingleImageUpload"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

const MapThumb = (0, _reactEmotion.default)("div")({
  display: "flex",
  justifyContent: "center",
  alignItems: "center",
  height: "100%"
});
const MapAdminView = (0, _reactEmotion.default)("div")({
  display: "flex",
  justifyContent: "center",
  alignItems: "center",
  height: "250px",
  backgroundColor: "#f2f2f2"
});
const PreviewBox = (0, _reactEmotion.default)("div")({
  textAlign: "center",
  height: 100,
  svg: {
    height: 50,
    width: 50
  }
});

var _default = () => {
  const PreviewBox = (0, _reactEmotion.default)("div")({
    textAlign: "center",
    margin: "0 auto",
    width: 50,
    svg: {
      width: 50
    }
  });
  return [{
    name: "cms-element-custom-google-map",
    type: "cms-element",
    toolbar: {
      title: "Google map",
      group: "cms-element-group-media",

      preview() {
        return _react.default.createElement(PreviewBox, null, _react.default.createElement(MapThumb, null, _react.default.createElement("svg", {
          width: "97",
          height: "83",
          viewBox: "0 0 97 83",
          xmlns: "http://www.w3.org/2000/svg"
        }, _react.default.createElement("g", {
          fill: "#000",
          "fill-rule": "nonzero"
        }, _react.default.createElement("path", {
          d: "M95.5 78.8l-5.1-39.8c-.1-.9-.8-1.8-1.7-2.1l-8.6-3.1-2.4 4.6 7.7 2.8 4.4 34.3-18.3-5.9-1.3-20.2c-.9.4-1.9.6-3 .6-.7 0-1.5-.1-2.1-.3l1.3 20-16 5.8v-34.5l6.4-2.6-2.4-4.6-6.4 2.7-17.6-7.3c-.6-.2-1.3-.3-1.9-.1l-21.2 7.8c-.9.3-1.5 1.1-1.7 2.1l-5.1 39.8c-.1.9.2 1.7.9 2.3.7.6 1.6.7 2.4.5l22.9-7.4 20.4 7.4c.6.2 1.2.2 1.7 0l20.4-7.4 22.9 7.4c.3.1.5.1.8.1.6 0 1.2-.2 1.6-.6.7-.6 1.1-1.4 1-2.3zm-71.1-9.2l-18.3 5.9 4.4-34.3 16.1-5.8-2.2 34.2zm21 5.9l-16-5.8 2.2-34.4 13.8 5.7v34.5zM65.4 43.7c.8 1.6 3.1 1.6 3.9 0 0 0 9.1-17.8 11.2-22 2.1-4.2 2.2-8.9 0-13.3-3.6-7.3-12.5-10.2-19.8-6.5-7.3 3.7-10.1 12.8-6.5 19.8 3.6 7 11.2 22 11.2 22zm2-35.4c3.9 0 7 3.1 7 7s-3.1 7-7 7-7-3.1-7-7c0-3.8 3.1-7 7-7z"
        })))));
      }

    },
    settings: ["cms-element-settings-delete"],
    target: ["cms-element-row", "cms-element-column"],
    onCreate: "open-settings",

    create(options = {}) {
      return _objectSpread({
        type: "cms-element-custom-google-map",
        data: {}
      }, options);
    },

    render({
      element
    }) {
      return _react.default.createElement(MapAdminView, null, "Google map");
    }

  }, {
    name: "cms-element-advanced-settings-custom-google-map",
    type: "cms-element-advanced-settings",
    element: "cms-element-custom-google-map",

    render({
      Bind
    }) {
      return _react.default.createElement(_Tabs.Tab, {
        label: "Map settings"
      }, _react.default.createElement(_Grid.Grid, null, _react.default.createElement(_Grid.Cell, {
        span: 6
      }, _react.default.createElement(Bind, {
        name: "map.key",
        validators: ["required"]
      }, _react.default.createElement(_Input.Input, {
        label: "Google map api key",
        description: "Enter a map api key"
      }))), _react.default.createElement(_Grid.Cell, {
        span: 6
      }, _react.default.createElement(Bind, {
        name: "map.zoom",
        validators: ["required"]
      }, _react.default.createElement(_Input.Input, {
        label: "Map zoom",
        description: "Enter a map zoom"
      })))), _react.default.createElement(_Grid.Grid, null, _react.default.createElement(_Grid.Cell, {
        span: 6
      }, _react.default.createElement(Bind, {
        name: "map.lat",
        validators: ["required"]
      }, _react.default.createElement(_Input.Input, {
        label: "Map center latitude",
        description: "Enter a map center latitude"
      }))), _react.default.createElement(_Grid.Cell, {
        span: 6
      }, _react.default.createElement(Bind, {
        name: "map.lng",
        validators: ["required"]
      }, _react.default.createElement(_Input.Input, {
        label: "Map center longitude",
        description: "Enter a map center longitude"
      })))), _react.default.createElement(_Grid.Grid, null, _react.default.createElement(_Grid.Cell, {
        span: 4
      }, _react.default.createElement(Bind, {
        name: "map.pin"
      }, _react.default.createElement(_SingleImageUpload.default, {
        label: "Map pin"
      }))), _react.default.createElement(_Grid.Cell, {
        span: 2
      }), _react.default.createElement(_Grid.Cell, {
        span: 6
      }, _react.default.createElement(_Grid.Grid, null, _react.default.createElement(_Grid.Cell, {
        span: 12
      }, _react.default.createElement(Bind, {
        name: "map.pinLat"
      }, _react.default.createElement(_Input.Input, {
        label: "Pin latitude",
        description: "Enter a pin latitude"
      }))), _react.default.createElement(_Grid.Cell, {
        span: 12
      }, _react.default.createElement(Bind, {
        name: "map.pinLng"
      }, _react.default.createElement(_Input.Input, {
        label: "Pin longitude",
        description: "Enter a pin longitude"
      })))), _react.default.createElement(_Grid.Grid, null, _react.default.createElement(_Grid.Cell, {
        span: 12
      }, _react.default.createElement(Bind, {
        name: "map.pinWidth"
      }, _react.default.createElement(_Input.Input, {
        label: "Pin width",
        description: "Enter a pin image width (px)"
      }))), _react.default.createElement(_Grid.Cell, {
        span: 12
      }, _react.default.createElement(Bind, {
        name: "map.pinHeight"
      }, _react.default.createElement(_Input.Input, {
        label: "Pin height",
        description: "Enter a pin image height (px)"
      })))))));
    }

  }];
};

exports.default = _default;
//# sourceMappingURL=index.js.map