"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _Tabs = require("webiny-ui/Tabs");

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

var _roundStyle24px = require("webiny-app-cms/editor/plugins/elements/imagesList/icons/round-style-24px.svg");

var _customGroupPreview = require("./assets/custom-group-preview.svg");

var _Grid = require("webiny-ui/Grid");

var _SingleImageUpload = _interopRequireDefault(require("webiny-admin/components/SingleImageUpload"));

var _Image = require("webiny-ui/Image");

var _Input = require("webiny-ui/Input");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

var _default = () => {
  const PreviewBox = (0, _reactEmotion.default)("div")({
    textAlign: "center",
    margin: "0 auto",
    width: 50,
    svg: {
      width: 50
    }
  });
  return [{
    name: "cms-element-custom-image-hovered",
    type: "cms-element",
    toolbar: {
      title: "Image Split Hover",
      group: "cms-element-group-custom",

      preview() {
        return _react.default.createElement(PreviewBox, null, _react.default.createElement(_customGroupPreview.ReactComponent, null));
      }

    },
    settings: ["cms-element-settings-delete"],
    target: ["cms-element-row", "cms-element-column"],
    onCreate: "open-settings",

    create(options = {}) {
      return _objectSpread({
        type: "cms-element-custom-image-hovered",
        data: {}
      }, options);
    },

    render(props) {
      const {
        element: {
          data: {
            image = {}
          }
        }
      } = props;
      return _react.default.createElement(_Image.Image, {
        src: image.src,
        alt: image.name
      });
    }

  }, {
    name: "cms-element-advanced-settings-custom-image-hovered",
    type: "cms-element-advanced-settings",
    element: "cms-element-custom-image-hovered",

    render({
      Bind
    }) {
      return _react.default.createElement(_Tabs.Tab, {
        icon: _react.default.createElement(_roundStyle24px.ReactComponent, null),
        label: "Options"
      }, _react.default.createElement(_Grid.Grid, null, _react.default.createElement(_Grid.Cell, {
        span: 6
      }, _react.default.createElement(Bind, {
        name: "image"
      }, _react.default.createElement(_SingleImageUpload.default, {
        label: "image"
      }))), _react.default.createElement(_Grid.Cell, {
        span: 6
      }, _react.default.createElement(Bind, {
        name: "url"
      }, _react.default.createElement(_Input.Input, {
        placeholder: "Enter url"
      })))));
    }

  }];
};

exports.default = _default;
//# sourceMappingURL=index.js.map