"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactRouterDom = require("react-router-dom");

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

const CustomImageLink = ({
  element,
  theme
}) => {
  const {
    data: {
      url,
      image = {}
    }
  } = element;
  return _react.default.createElement(CustomImageLinkWrapper, {
    theme: theme
  }, _react.default.createElement(_reactRouterDom.Link, {
    to: url,
    className: "image-link"
  }, _react.default.createElement("img", {
    className: "image-link__i",
    src: image.src,
    alt: image.name
  })));
};

const CustomImageLinkWrapper = (0, _reactEmotion.default)("div")`
	width: 100%;
	height: 100%;
	overflow: hidden;
	.image-link {
		position: relative;
		display: block;
		width: 100%;
		height: 100%;
		text-decoration: none;
		&__i {
			display: block;
			width: 100%;
			height: 100%;
			object-fit: cover;
		}
	}
`;
var _default = CustomImageLink;
exports.default = _default;
//# sourceMappingURL=CustomImageLink.js.map