"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactPlayer = _interopRequireDefault(require("react-player"));

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

const CustomVideo = ({
  element,
  theme
}) => {
  const {
    data: {
      videoUrl
    }
  } = element;
  return _react.default.createElement(CustomVideoWrapper, {
    theme: theme
  }, _react.default.createElement("div", {
    className: "video-frame"
  }, _react.default.createElement(_reactPlayer.default, {
    url: videoUrl,
    playing: true,
    muted: true,
    controls: false,
    loop: true,
    width: "100%",
    playsinline: true
  })));
};

const CustomVideoWrapper = (0, _reactEmotion.default)("div")`
	position: relative;
	width: 100%;
	height: 100%;
	&:after {
		content: "";
		position: absolute;
		z-index: 2;
		top: 0;
		right: 0;
		bottom: 0;
		left: 0;
	}
`;
var _default = CustomVideo;
exports.default = _default;
//# sourceMappingURL=CustomVideo.js.map