"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _lodash = require("lodash");

var _DynamicFieldset = require("webiny-ui/DynamicFieldset");

var _Button = require("webiny-ui/Button");

var _Grid = require("webiny-ui/Grid");

var _Input = require("webiny-ui/Input");

var _Typography = require("webiny-ui/Typography");

var _emotion = require("emotion");

const controlButtons = (0, _emotion.css)({
  display: "flex",
  alignItems: "center",
  justifyContent: "center",
  ">button": {
    marginRight: 15
  }
});
const textStyling = (0, _emotion.css)({
  color: "var(--mdc-theme-text-secondary-on-background)"
});

const FieldsList = (_ref) => {
  let {
    prefix,
    value,
    onChange,
    Bind
  } = _ref,
      other = (0, _objectWithoutProperties2.default)(_ref, ["prefix", "value", "onChange", "Bind"]);
  return _react.default.createElement(_DynamicFieldset.DynamicFieldset, (0, _extends2.default)({
    value: value,
    onChange: onChange
  }, other), ({
    actions,
    header,
    row,
    empty
  }) => _react.default.createElement(_react.default.Fragment, null, header(() => _react.default.createElement(_Grid.Grid, {
    style: {
      paddingTop: 0,
      paddingBottom: 0
    }
  }, _react.default.createElement(_Grid.Cell, {
    span: 12,
    className: textStyling
  }, _react.default.createElement(_Typography.Typography, {
    use: "button"
  }, "Additional field")))), row(({
    index
  }) => _react.default.createElement(_Grid.Grid, null, _react.default.createElement(_Grid.Cell, {
    span: 3
  }, _react.default.createElement(Bind, {
    name: `${prefix}.${index}.property`,
    validators: ["required"],
    beforeChange: (tag, cb) => cb((0, _lodash.trim)(tag))
  }, _react.default.createElement(_Input.Input, {
    label: "Property"
  }))), _react.default.createElement(_Grid.Cell, {
    span: 6
  }, _react.default.createElement(Bind, {
    name: `${prefix}.${index}.content`,
    validators: ["required"]
  }, _react.default.createElement(_Input.Input, {
    label: "Content"
  }))), _react.default.createElement(_Grid.Cell, {
    span: 3,
    className: controlButtons
  }, _react.default.createElement(_Button.ButtonPrimary, {
    small: true,
    onClick: actions.add(index)
  }, "+"), _react.default.createElement(_Button.ButtonSecondary, {
    small: true,
    onClick: actions.remove(index)
  }, "-")))), empty(() => _react.default.createElement(_Grid.Grid, null, _react.default.createElement(_Grid.Cell, {
    span: 12,
    className: textStyling
  }, _react.default.createElement(_Typography.Typography, {
    use: "button"
  }, "To add new custom field, click", " ", _react.default.createElement(_Button.ButtonPrimary, {
    onClick: actions.add()
  }, "Additional field")))))));
};

var _default = FieldsList;
exports.default = _default;
//# sourceMappingURL=FieldsList.js.map