"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _webinyEntity = require("webiny-entity");

var _webinyModel = require("webiny-model");

class FileModel extends _webinyModel.Model {
  constructor() {
    super();
    (0, _defineProperty2.default)(this, "name", void 0);
    (0, _defineProperty2.default)(this, "size", void 0);
    (0, _defineProperty2.default)(this, "src", void 0);
    (0, _defineProperty2.default)(this, "type", void 0);
    this.attr("name").char();
    this.attr("size").integer();
    this.attr("src").char();
    this.attr("type").char();
  }

}

class AdditionalCustomFieldsModel extends _webinyEntity.EntityModel {
  constructor() {
    super();
    this.attr("property").char();
    this.attr("content").char();
  }

}

class AdditionalSettings extends _webinyEntity.EntityModel {
  constructor() {
    super();
    this.attr("fields").models(AdditionalCustomFieldsModel);
    this.attr("description").char();
    this.attr("image").model(FileModel);
  }

}

var _default = [{
  name: "cms-page-settings-additional",
  type: "cms-page-settings-model",

  apply({
    model
  }) {
    model.attr("additional").model(AdditionalSettings).setDefaultValue({});
  }

}, {
  name: "cms-schema-settings-additional",
  type: "cms-schema",
  typeDefs: `
            type AdditionalCustomFields {
                property: String
                content: String
            }
            
            type AdditionalSettings {
                description: String
                fields: [AdditionalCustomFields]
                image: File
            } 
            
            extend type PageSettings {
                additional: AdditionalSettings
            }
        `
}];
exports.default = _default;
//# sourceMappingURL=index.js.map