"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactRouterDom = require("react-router-dom");

const NewsPageItem = ({
  page
}) => {
  const {
    settings: {
      general: {
        image
      }
    }
  } = page;
  return _react.default.createElement("div", {
    className: "news-pages-list__item"
  }, _react.default.createElement(_reactRouterDom.Link, {
    to: page.url,
    className: "news-pages-list__link"
  }, image.src && _react.default.createElement("div", {
    className: "news-pages-list__image"
  }, _react.default.createElement("img", {
    className: "news-pages-list__image-i",
    src: image.src,
    alt: ""
  })), page.title && _react.default.createElement("div", {
    className: "news-pages-list__title"
  }, page.title)));
};

const NewsPageList = props => {
  const {
    data
  } = props;
  return _react.default.createElement("div", {
    className: "news-pages-list"
  }, _react.default.createElement("div", {
    className: "news-pages-list__inner"
  }, data.map(page => _react.default.createElement(NewsPageItem, {
    key: page.id,
    page: page
  }))));
};

var _default = NewsPageList;
exports.default = _default;
//# sourceMappingURL=NewsPageList.js.map