"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactRouterDom = require("react-router-dom");

var _reactInfiniteScroller = _interopRequireDefault(require("react-infinite-scroller"));

const ProjectsPageItem = ({
  page
}) => {
  const {
    settings: {
      general: {
        image
      }
    }
  } = page;
  return _react.default.createElement("div", {
    className: "works-list__item"
  }, _react.default.createElement(_reactRouterDom.Link, {
    to: page.url,
    className: "works-list__link"
  }, image.src && _react.default.createElement("div", {
    className: "works-list__image"
  }, _react.default.createElement("img", {
    className: "works-list__image-i",
    src: image.src,
    alt: ""
  })), page.title && _react.default.createElement("div", {
    className: "works-list__title"
  }, page.title)));
};

const ProjectsPageList = props => {
  const {
    data
  } = props;
  const SHOW_QUANTITY = 6;
  const [items, setItems] = (0, _react.useState)(data.slice(0, SHOW_QUANTITY));
  const [hasMore, setHasMore] = (0, _react.useState)(true);

  const loadFunc = () => {
    if (items.length < data.length) {
      setItems(data.slice(0, items.length + SHOW_QUANTITY));
    } else {
      setHasMore(false);
    }
  };

  return _react.default.createElement(_reactInfiniteScroller.default, {
    pageStart: 0,
    loadMore: loadFunc,
    hasMore: hasMore,
    loader: _react.default.createElement("div", {
      className: "content-loading",
      key: 0
    }, _react.default.createElement("div", null), _react.default.createElement("div", null), _react.default.createElement("div", null))
  }, _react.default.createElement("div", {
    className: "works-list"
  }, items.map(page => _react.default.createElement(ProjectsPageItem, {
    key: page.id,
    page: page
  }))));
};

var _default = ProjectsPageList;
exports.default = _default;
//# sourceMappingURL=ProjectsPageList.js.map