"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactRouterDom = require("react-router-dom");

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

var _lodash = require("lodash");

var _serviceIcon = require("../assets/service-icon.svg");

const ServicesPageItem = ({
  page,
  index
}) => _react.default.createElement(_reactRouterDom.Link, {
  to: page.url,
  className: `services-page-list__item services-page-list__item-${index}`
}, _react.default.createElement("div", {
  className: "services-page-list__item-bg"
}), _react.default.createElement("div", {
  className: "services-page-list__item-shadow"
}), _react.default.createElement("div", {
  className: "services-page-list__item-inner"
}, _react.default.createElement("div", {
  className: "services-page-list__image"
}, _react.default.createElement("div", {
  className: "services-page-list__image-bg"
}, _react.default.createElement(_serviceIcon.ReactComponent, null)), _react.default.createElement("img", {
  className: "services-page-list__image-i",
  src: `${(0, _lodash.get)(page, "settings.general.image.src")}`,
  alt: ""
})), _react.default.createElement("div", {
  className: "services-page-list__title"
}, page.title)));

const ServicesPageList = props => {
  const {
    data
  } = props;
  const topRow = data.slice(0, 4);
  const middleRow = data.slice(4, 7);
  const bottomRow = data.slice(7);
  return _react.default.createElement(ServicesPageListWrapper, null, _react.default.createElement("div", {
    className: "services-page-list"
  }, _react.default.createElement("div", {
    className: "services-page-list__items"
  }, _react.default.createElement("div", {
    className: "services-page-list__items-row services-page-list__items-top-row"
  }, topRow.map((page, index) => _react.default.createElement(ServicesPageItem, {
    key: page.id,
    page: page,
    index: index
  }))), _react.default.createElement("div", {
    className: "services-page-list__items-row services-page-list__items-middle-row"
  }, middleRow.map((page, index) => _react.default.createElement(ServicesPageItem, {
    key: page.id,
    page: page,
    index: index
  }))), _react.default.createElement("div", {
    className: "services-page-list__items-row services-page-list__items-bottom-row"
  }, bottomRow.map((page, index) => _react.default.createElement(ServicesPageItem, {
    key: page.id,
    page: page,
    index: index
  }))))));
};

const ServicesPageListWrapper = (0, _reactEmotion.default)("div")`
	.services-page-list {
		&__items {
			max-width: 1020px;
			margin: 0 auto;
			&-row {
				display: flex;
				margin-bottom: -1px;
			}
			&-top-row {
				.services-page-list__item {
					&-bg {
						&:before,
						&:after {
							content: '';
						}
						&:after {
							left: -19px;
							right: 19px;
							bottom: 100%;
							height: 39px;
							transform: skewX(45deg);
						}
					}
					&:before,
					&:after {
						content: '';
						position: absolute;
						background-color: var(--webiny-cms-theme-text-primary);
					}
					&:before {
						left: 0;
						bottom: 100%;
						width: 1px;
						height: 55px;
						transform: rotate(-45deg);
						transform-origin: left bottom;
					}
					&:after {
						left: -39px;
						width: 100%;
						height: 1px;
						bottom: 100%;
						margin-bottom: 39px;
					}
					&:first-child {
						.services-page-list__item {
							&-bg {
								&:before {
									top: -20px;
									right: 100%;
									bottom: 20px;
									transform: skewY(45deg);
									width: 39px;
								}
							}
							&-inner {
								&:before {
									top: -40px;
								}
							}
						}
					}
					&:last-child {
						.services-page-list__item-inner {
							&:before {
								content: '';
								position: absolute;
								background-color: var(--webiny-cms-theme-text-primary);
								bottom: 100%;
								right: -1px;
								width: 1px;
								height: 55px;
								margin-bottom: 1px;
								transform: rotate(-45deg);
								transform-origin: left bottom;
							}
						}
					}
					&:hover {
						.services-page-list__item-bg {
							&:before,
							&:after {
								opacity: 1;
							}
						}
					}
				}
			}
			&-middle-row {
				.services-page-list__item {
					&:first-child {
						margin-left: 15%;
						.services-page-list__item-bg {
							&:before {
								content: '';
								top: 0;
								right: 100%;
								bottom: 0;
								width: 39px;
								clip-path: polygon(0 0, 100% 0, 100% 100%, 0 80px);
							}
						}
						&:hover {
							.services-page-list__item-bg {
								&:before {
									opacity: 1;
								}
							}
						}
					}
				}
			}
			&-bottom-row {
				.services-page-list__item {
					&:first-child {
						margin-left: 30%;
						.services-page-list__item-bg {
							&:before {
								content: '';
								top: 0;
								right: 100%;
								bottom: 0;
								width: 39px;
								clip-path: polygon(0 0, 100% 0, 100% 100%, 0 80px);
							}
						}
						&:hover {
							.services-page-list__item-bg {
								&:before {
									opacity: 1;
								}
							}
						}
					}
					&:last-child {
						&:hover {
							.services-page-list__item-bg:before {
								opacity: 1;
							}
						}
						.services-page-list__item {
							&-bg {
								&:before {
									content: '';
									position: absolute;
									bottom: 100%;
									right: 0;
									width: 60%;
									height: 39px;
									clip-path: polygon(0 0, 75% 0%, 100% 100%, 0% 100%);
								}
							}
							&-inner {
								&:before,
								&:after {
									content: '';
									position: absolute;
									background-color: var(--webiny-cms-theme-text-primary);
								}
								&:before {
									right: 39px;
									left: 40%;
									bottom: 100%;
									height: 1px;
									margin-bottom: 39px;
								}
								&:after {
									right: -1px;
									bottom: 100%;
									width: 1px;
									height: 55px;
									transform: rotate(-45deg);
									transform-origin: left bottom;
								}
							}
						}
					}
				}
			}
		}
		&__item {
			position: relative;
			flex-shrink: 0;
			width: 25%;
			display: block;
			text-decoration: none;
			transition: 0.2s background-color ease-in-out;
			&-inner {
				position: relative;
				border: 1px solid var(--webiny-cms-theme-text-primary);
				padding: 15px 60px 15px 20px;
				margin-right: -1px;
				height: 120px;
			}
			&-bg {
				position: absolute;
				top: 0;
				right: 0;
				bottom: 0;
				left: 0;
				&:before,
				&:after {
					position: absolute;
					background-color: var(--webiny-cms-theme-text-primary);
					opacity: 0;
					transition: 0.2s opacity ease-in-out;
				}
			}
			&-shadow {
				position: absolute;
				left: 0;
				right: 0;
				bottom: 0;
				opacity: 0;
				transition: 0.2s opacity ease-in-out;
				&:before,
				&:after {
					position: absolute;
					content: '';
					background-color: var(--webiny-cms-theme-text-primary);
				}
				&:before {
					left: 0;
					right: -1px;
					height: 10px;
					clip-path: polygon(0 0, 100% 0, 100% 100%, 10px 100%);
				}
				&:after {
					left: 100%;
					bottom: -10px;
					width: 10px;
					height: 130px;
					clip-path: polygon(0 0, 100% 10px, 100% 100%, 0 100%);
				}
			}
			&:first-child {
				.services-page-list__item-inner {
					&:before,
					&:after {
						content: '';
						position: absolute;
						background-color: var(--webiny-cms-theme-text-primary);
						width: 1px;
					}
					&:before {
						top: 0;
						bottom: 38px;
						left: -40px;
					}
					&:after {
						left: -1px;
						bottom: -1px;
						height: 55px;
						transform: rotate(-45deg);
						transform-origin: left bottom;
					}
				}
			}
			&:last-child {
				.services-page-list__item-inner {
					margin-right: 0;
				}
			}
			&:hover {
				background-color: var(--webiny-cms-theme-text-primary);
				.services-page-list {
					&__title,
					&__image {
						transform: translate(10px,10px);
					}
					&__title {
						color: var(--webiny-cms-theme-primary);
					}
					&__image-i {
						filter: grayscale(0);
					}
					&__item-shadow {
						opacity: 1;
					}
				}
			}
		}
		&__title {
			font-size: 1.05rem;
			line-height: 1.6;
			font-weight: bold;
			color: var(--webiny-cms-theme-text-primary);
			transition: 0.2s color ease-in-out, 0.1s transform 0.1s ease-in-out;
		}
		&__image {
			position: absolute;
			right: 20px;
			bottom: 20px;
			width: 20px;
			height: 22px;
			display: flex;
			align-items: center;
			justify-content: center;
			transition: 0.1s transform 0.1s ease-in-out;
			&-bg {
				position: absolute;
				top: 0;
				right: 0;
				bottom: 0;
				left: 0;
				svg {
					display: block;
					width: 100%;
				}
			}
			&-i {
				max-width: 100%;
				max-height: 100%;
				filter: grayscale(1) brightness(0);
				transition: 0.2s filter ease-in-out;
			}
		}
	}
`;
var _default = ServicesPageList;
exports.default = _default;
//# sourceMappingURL=ServicesPageList.js.map