"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

var _reactSlick = _interopRequireDefault(require("react-slick"));

var _emotion = require("emotion");

var _Element = _interopRequireDefault(require("webiny-app-cms/render/components/Element"));

var _ElementRoot = require("webiny-app-cms/render/components/ElementRoot");

var _ElementAnimation = _interopRequireDefault(require("webiny-app-cms/render/components/ElementAnimation"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

class Slider extends _react.Component {
  constructor(...args) {
    super(...args);
    (0, _defineProperty2.default)(this, "formatNumber", num => {
      let str = '' + num;

      while (str.length < 3) {
        str = '0' + str;
      }

      return str;
    });
  }

  render() {
    const {
      element,
      element: {
        data: {
          options = {},
          classname,
          progress = false
        }
      }
    } = this.props;
    const customPaging = options.dots ? {
      customPaging: i => _react.default.createElement("div", null, this.formatNumber(i + 1))
    } : {};

    const settings = _objectSpread({
      autoplay: false,
      arrows: false,
      dots: false,
      fade: false,
      infinite: false,
      lazyLoad: false
    }, options, {}, customPaging, {
      autoplaySpeed: options.autoplaySpeed ? parseInt(options.autoplaySpeed) : 3000,
      slidesToScroll: options.slidesToScroll ? parseInt(options.slidesToScroll) : 1,
      slidesToShow: options.slidesToShow ? parseInt(options.slidesToShow) : 1
    });

    return _react.default.createElement(_ElementAnimation.default, null, _react.default.createElement(_ElementRoot.ElementRoot, {
      element: element
    }, ({
      elementStyle,
      elementAttributes,
      customClasses,
      combineClassNames
    }) => {
      const {
        width,
        alignItems,
        justifyContent
      } = elementStyle,
            containerStyle = (0, _objectWithoutProperties2.default)(elementStyle, ["width", "alignItems", "justifyContent"]);
      return _react.default.createElement("div", (0, _extends2.default)({
        style: {
          width: "100%",
          display: "flex",
          justifyContent: "center"
        },
        className: "webiny-cms-layout-block-container " + (0, _emotion.css)(containerStyle)
      }, elementAttributes), _react.default.createElement("div", {
        style: {
          width: width ? width : "100%",
          alignSelf: justifyContent,
          alignItems: alignItems
        },
        className: combineClassNames("webiny-cms-layout-block webiny-cms-base-element-style", ...customClasses)
      }, _react.default.createElement("div", {
        className: combineClassNames("slider-wrapper", classname)
      }, _react.default.createElement(_reactSlick.default, settings, element.elements.map(element => _react.default.createElement(_Element.default, {
        key: element.id,
        element: element
      }))), settings.dots && _react.default.createElement("div", {
        className: "slider-wrapper__total-pages"
      }, "/ ", this.formatNumber(element.elements.length)), progress && settings.autoplay && _react.default.createElement("div", {
        style: {
          animationDuration: `${settings.autoplaySpeed / 1000}s`
        }
      }))));
    }));
  }

}

var _default = Slider;
exports.default = _default;
//# sourceMappingURL=Slider.js.map