"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _loremIpsum = _interopRequireDefault(require("lorem-ipsum"));

var _Text = _interopRequireWildcard(require("webiny-app-cms/editor/plugins/elements/text/Text"));

var _Slate = require("webiny-app-cms/editor/components/Slate");

var _types = _interopRequireWildcard(require("webiny-app-cms/types"));

var _Tabs = require("webiny-ui/Tabs");

var _Grid = require("webiny-ui/Grid");

var _Input = require("webiny-ui/Input");

var _Select = require("webiny-ui/Select");

var _reactFontawesome = require("@fortawesome/react-fontawesome");

var _roundStyle24px = require("webiny-app-cms/editor/plugins/elements/imagesList/icons/round-style-24px.svg");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

var _default = () => {
  const defaultLipsum = {
    count: 3,
    units: "sentences",
    sentenceLowerBound: 5,
    sentenceUpperBound: 15
  };
  return [{
    name: "cms-element-ticker",
    type: "cms-element",
    toolbar: {
      title: "Ticker",
      group: "cms-element-group-custom",

      preview() {
        return _react.default.createElement("div", {
          className: _Text.className
        }, "Ticker text");
      }

    },
    settings: ["cms-element-settings-background", "", "cms-element-settings-border", "cms-element-settings-shadow", "", "cms-element-settings-padding", "cms-element-settings-margin", "", "cms-element-settings-clone", "cms-element-settings-delete", ""],
    target: ["cms-element-column", "cms-element-row", "cms-element-list-item"],

    create(_ref) {
      let {
        content = {}
      } = _ref,
          options = (0, _objectWithoutProperties2.default)(_ref, ["content"]);
      const previewText = content.text || (0, _loremIpsum.default)(content.lipsum || defaultLipsum);
      return _objectSpread({
        type: "cms-element-ticker",
        elements: [],
        data: {
          text: (0, _Slate.createValue)(previewText, content.typography || "paragraph"),
          settings: {
            margin: {
              mobile: {
                top: 0,
                left: 0,
                right: 0,
                bottom: 15
              },
              desktop: {
                top: 0,
                left: 0,
                right: 0,
                bottom: 25
              },
              advanced: true
            },
            padding: {
              desktop: {
                all: 0
              },
              mobile: {
                all: 0
              }
            }
          }
        }
      }, options);
    },

    render({
      element
    }) {
      return _react.default.createElement(_Text.default, {
        elementId: element.id
      });
    }

  }, {
    name: "cms-element-advanced-settings-ticker",
    type: "cms-element-advanced-settings",
    element: "cms-element-ticker",

    render({
      Bind
    }) {
      return _react.default.createElement(_Tabs.Tab, {
        icon: _react.default.createElement(_roundStyle24px.ReactComponent, null),
        label: "Options"
      }, _react.default.createElement(_Grid.Grid, null, _react.default.createElement(_Grid.Cell, {
        span: 6
      }, _react.default.createElement(Bind, {
        name: "speed",
        defaultValue: "5"
      }, _react.default.createElement(_Input.Input, {
        placeholder: "Speed"
      }))), _react.default.createElement(_Grid.Cell, {
        span: 6
      }, _react.default.createElement(Bind, {
        name: "direction",
        defaultValue: "toLeft"
      }, _react.default.createElement(_Select.Select, {
        label: "Direction"
      }, _react.default.createElement("option", {
        key: "toLeft",
        value: "toLeft"
      }, "toLeft"), _react.default.createElement("option", {
        key: "toRight",
        value: "toRight"
      }, "toRight"))))), _react.default.createElement(_Grid.Grid, null, _react.default.createElement(_Grid.Cell, {
        span: 6
      }, _react.default.createElement(Bind, {
        name: "mode",
        defaultValue: "chain"
      }, _react.default.createElement(_Select.Select, {
        label: "Mode"
      }, _react.default.createElement("option", {
        key: "chain",
        value: "chain"
      }, "chain"), _react.default.createElement("option", {
        key: "await",
        value: "await"
      }, "await"), _react.default.createElement("option", {
        key: "smooth",
        value: "smooth"
      }, "smooth"))))));
    }

  }];
};

exports.default = _default;
//# sourceMappingURL=index.js.map