"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

var _reactTicker = _interopRequireDefault(require("react-ticker"));

const TickerElement = ({
  element,
  theme
}) => {
  const {
    data: {
      text: {
        document: {
          nodes
        }
      },
      speed,
      direction,
      mode
    }
  } = element;
  const text = nodes[0].nodes[0].leaves[0].text;
  const settings = {
    speed: speed ? parseInt(speed) : 5,
    direction: direction ? direction : 'toLeft',
    mode: mode ? mode : 'chain',
    offset: 'run-in'
  };
  return _react.default.createElement(TickerWrapper, {
    theme: theme
  }, _react.default.createElement("div", {
    className: "ticker-wrap"
  }, _react.default.createElement(_reactTicker.default, settings, ({
    index
  }) => _react.default.createElement("div", {
    className: "ticker-wrap__text"
  }, text))));
};

const TickerWrapper = (0, _reactEmotion.default)("div")`
	.ticker-wrap {
		padding: 10px 0;
		white-space: nowrap;
		border-bottom: 3px solid var(--webiny-cms-theme-text-primary);
		&__text {
			font-size: 2rem;
			text-transform: uppercase;
		}
	}
`;
var _default = TickerElement;
exports.default = _default;
//# sourceMappingURL=TickerElement.js.map