"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _dotPropImmutable = require("dot-prop-immutable");

var _redux = require("webiny-app-cms/editor/redux");

var _Block = _interopRequireDefault(require("webiny-app-cms/editor/plugins/elements/block/Block"));

var _utils = require("webiny-app-cms/editor/utils");

var _actions = require("webiny-app-cms/editor/actions");

var _Tabs = require("webiny-ui/Tabs");

var _Grid = require("webiny-ui/Grid");

var _Input = require("webiny-ui/Input");

var _Checkbox = require("webiny-ui/Checkbox");

var _reactFontawesome = require("@fortawesome/react-fontawesome");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

var _default = () => {
  return [{
    name: "cms-element-tiles-board",
    type: "cms-element",
    settings: ["cms-element-settings-background", "cms-element-settings-animation", "", "cms-element-settings-border", "cms-element-settings-shadow", "", "cms-element-settings-padding", "cms-element-settings-margin", "cms-element-settings-width", "cms-element-settings-height", "cms-element-settings-horizontal-align-flex", "cms-element-settings-vertical-align", "", "cms-element-settings-clone", "cms-element-settings-delete", ""],
    onCreate: "open-settings",

    create(options = {}) {
      return _objectSpread({
        type: "cms-element-tiles-board",
        elements: [(0, _utils.createRow)({
          elements: [(0, _utils.createColumn)({
            data: {
              width: 100
            }
          })]
        })],
        data: {
          settings: {
            margin: {
              mobile: {
                all: 0
              },
              desktop: {
                all: 0
              }
            },
            padding: {
              mobile: {
                all: 0
              },
              desktop: {
                all: 0
              }
            }
          }
        }
      }, options);
    },

    render(props) {
      return _react.default.createElement(_Block.default, props);
    },

    // This callback is executed when another element is dropped on the drop zones with type "block"
    onReceived({
      source,
      target,
      position = null
    }) {
      let dispatchNew = false;
      let element;

      if (source.path) {
        // $FlowFixMe
        element = (0, _utils.cloneElement)(source);
      } else {
        dispatchNew = true;
        element = (0, _utils.createElement)(source.type, {}, target);
      }

      const block = (0, _utils.addElementToParent)(element, target, position); // Dispatch update action

      _redux.redux.store.dispatch((0, _actions.updateElement)({
        element: block
      })); // Delete exiting element


      if (source.path) {
        _redux.redux.store.dispatch((0, _actions.deleteElement)({
          element: source
        }));
      }

      if (dispatchNew) {
        _redux.redux.store.dispatch((0, _actions.elementCreated)({
          element,
          source
        }));
      }
    },

    onChildDeleted({
      element
    }) {
      if (element.elements.length === 0) {
        element = (0, _dotPropImmutable.set)(element, "elements", [(0, _utils.createRow)({
          elements: [(0, _utils.createColumn)({
            data: {
              width: 100
            }
          })]
        })]);

        _redux.redux.store.dispatch((0, _actions.updateElement)({
          element
        }));
      }
    }

  }];
};

exports.default = _default;
//# sourceMappingURL=tilesBoardElement.js.map