"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireWildcard(require("react"));

var _emotion = require("emotion");

var _Element = _interopRequireDefault(require("webiny-app-cms/render/components/Element"));

var _ElementRoot = require("webiny-app-cms/render/components/ElementRoot");

var _ElementAnimation = _interopRequireDefault(require("webiny-app-cms/render/components/ElementAnimation"));

class TilesBoard extends _react.Component {
  render() {
    const {
      element,
      element: {
        data: {
          classname
        }
      }
    } = this.props;
    return _react.default.createElement(_ElementAnimation.default, null, _react.default.createElement(_ElementRoot.ElementRoot, {
      element: element
    }, ({
      elementStyle,
      elementAttributes,
      customClasses,
      combineClassNames
    }) => {
      const {
        width,
        alignItems,
        justifyContent
      } = elementStyle,
            containerStyle = (0, _objectWithoutProperties2.default)(elementStyle, ["width", "alignItems", "justifyContent"]);
      const newElements = [];

      while (newElements.length < 5) {
        const item = element.elements[Math.floor(Math.random() * element.elements.length)];
        if (!newElements.includes(item)) newElements.push(item);
      }

      const blockMods = ["tiles-board_v1", "tiles-board_v2", "tiles-board_v3", "tiles-board_v4", "tiles-board_v5"];
      const blockMod = blockMods[Math.floor(Math.random() * blockMods.length)];
      return _react.default.createElement("div", (0, _extends2.default)({
        style: {
          width: "100%",
          display: "flex",
          justifyContent: "center"
        },
        className: "webiny-cms-layout-block-container " + (0, _emotion.css)(containerStyle)
      }, elementAttributes), _react.default.createElement("div", {
        style: {
          width: width ? width : "100%",
          alignSelf: justifyContent,
          alignItems: alignItems
        },
        className: combineClassNames("webiny-cms-layout-block webiny-cms-base-element-style", ...customClasses)
      }, _react.default.createElement("div", {
        className: combineClassNames("tiles-board", classname, blockMod)
      }, _react.default.createElement("div", {
        className: "tiles-board__inner"
      }, newElements.map(element => _react.default.createElement("div", {
        className: "tiles-board__item",
        key: element.id
      }, _react.default.createElement(_Element.default, {
        element: element
      })))))));
    }));
  }

}

var _default = TilesBoard;
exports.default = _default;
//# sourceMappingURL=TilesBoard.js.map